Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET queues/:id/topics

Ostatnia modyfikacja 2026-05-28 13:55:29

Zwraca tematy rozmów dostępnych dla danej kolejki.

Tematy rozmów są pogrupowane (tak jak przy wyborze grup tematów dla danej kolejki).

Zwracane są jedynie aktywne grupy tematów a w ich ramach jedynie aktywne tematy.

Jeżeli grupa tematów jest pusta także się wyświetla.

URL

https://your-system-name.thulium.com/api/queues/:id/topics

Parametry

id

wymagany

Identyfikator kolejki. Przykładowa wartość: 2

Przykładowy request

GET https://your-system-name.thulium.com/api/queues/2/topics

Przykładowy response

[
    "topic_groups": [
        {
            group_name: "First group",
            topics: [
                {
                    "id": 1,
                    "name": "only one",
                    "show_custom_fields": true
                }
            ]
        },
        {
            group_name: "Empty group",
            topics: []
        },
        {
            group_name: "Group with multiple",
            topics: [
                {
                    "id": 2,
                    "name": "first",
                    "show_custom_fields": true
                },
                {
                    "id": 3,
                    "name": "second",
                    "show_custom_fields": true
                },
                {
                    "id": 4,
                    "name": "third",
                    "show_custom_fields": false
                }
            ]
        }
    ],
    "custom_fields": [
        {
          "id": 1,
          "name": "Field 1",
          "type": "LONG_TEXT",
          "require": false
        },
        {
          "id": 2,
          "name": "Field 2",
          "type": "TEXT",
          "require": false
        }
    ]
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/queues/2/topics');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/queues/2/topics");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/queues/2/topics"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/queues/2/topics Accept:application/json